Subject: bug#20066: closed (Re: bug#20066: 24.4; should-error and cl-assert)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 08 Apr 2015 04:16:02 +0000

Your bug report

#20066: 24.4; should-error and cl-assert

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20066: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20066
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20066: 24.4; should-error and cl-assert
From: Leo Liu <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked]
Date: Wed, 08 Apr 2015 12:15:38 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2015-04-08 10:05 +0800, Stefan Monnier wrote:
> I think test 2 is incorrect.  It assumes that when cl-assert fails it
> reacts by throwing a "normal" signal that can be caught like any other.
> This is untrue for example when we decide to compile-away the assertions
> (depending on speed ans safety settings).
>
> cl-assert should be used to check impossible situations and an assertion
> failure is just supposed to bring it to the user's attention to help
> debug the code.  It is not meant to be caught&handled like a normal
> signal.

OK, that makes sense.

Leo

Subject: 24.4; should-error and cl-assert
From: Leo Liu <[email-masked]>
To: [email-masked]
Date: Mon, 09 Mar 2015 16:06:44 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I just compiled emacs 25.0.50 from git and I have immediately noticed
the following difference:

1. (should-error (error "yes"))
2. (should-error (cl-assert nil t))

Test 1 succeeds but test 2 fails. In emacs 24.4, both tests succeed.
Could someone investigate what have caused this incompatibility?

Thanks,
Leo